<?php
 
session_start();
$com = "A";
include("DMMYSQLG.php");
include("DSA3000.php");
include("DMMYSQLG.php");
include("DF30000.inc");

require_once("DF80000.php");
require_once("DFMOVCAP.inc");
require_once("DFJQUERY.inc");
require_once("DFSELMAN.inc");
?>
<html>
<head>
<title>Orden de compra</title>
<link rel="stylesheet" href="css/estilo1.css" type="text/css"/>
<link rel="stylesheet" href="DSSTYLESCOM.css" type="text/css"/>
<script type="text/javascript" language="JavaScript1.2" src="DSSCRIPT.js"></script>
<script language="javascript">
$(document).ready(function(){
	/*AutoSugestion*/
	var idRetVal="cve_emp";
	var idRetDes="nom_emp";
	var idOpeWinBus="bus_prov";
	

	$("#"+idRetDes).autocomplete('DYAUTCOME.php',{
		minChars: 1,                 //Caracteres Minimos antes de autocompletar
		//max:3                        //maximo de resultados mostrados, se manda como limit en autosugestion
		cacheLength: 0,
		delay: 200,                  //Retardo de autocompletar 
		width: 500,                  //ancho del cuadro de despliegue
		highlight: false,            //Resalta letras coincidentes
		autoFill: false,             //autocompleta en texto la posible palabra
		scroll: true,				 //si cuadro tiene barra scroll
		scrollHeight: 300,           //alto del cuadro para el scroll
		formatItem:formatItem,	     //formato de presentacion de las posibles busquedas
		extraParams:{tipBus:'d',typeRequest:'ac'}     //Parametros Extra a Mandar en autosugestion
	});
	$("#"+idRetVal).autocomplete('DYAUTCOME.php',{
		minChars: 1,                 //Caracteres Minimos antes de autocompletar
		//max:3
		cacheLength: 0,              //maximo de resultados mostrados, se manda como limit en autosugestion
		delay: 200,                  //Retardo de autocompletar 
		width: 500,                  //ancho del cuadro de despliegue
		highlight: false,            //Resalta letras coincidentes
		autoFill: false,             //autocompleta en texto la posible palabra
		scroll: true,				 //si cuadro tiene barra scroll
		scrollHeight: 300,           //alto del cuadro para el scroll
		formatItem:formatItem,       //formato de presentacion de las posibles busquedas
		formatResult:function(row){  //formato de seleccion de busqueda
			return row[1];
		},	                        
		extraParams:{tipBus:'c',typeRequest:'ac'}     //Parametros Extra a Mandar en autosugestion
	});
	$("#"+idRetVal).result(function(event, data, formatted){
		$('#'+idRetDes).val(data[0]);
		$('#id_emp').val(data[2]);
		$('#'+idRetDes).focus();
	});	
	$("#"+idRetDes).result(function(event, data, formatted){
		$('#id_emp').val(data[2]);
		$('#'+idRetVal).val(data[1]);
	});		
	function formatItem(row) {
		return " (<strong>" + row[1] + "</strong>)"+row[0];
	}	
	/**************/
});
</script>
</head>
<body >

<?php

if(!isset($_POST['fec_fac'])){
	$_REQUEST['fec_fac']=date("d/m/Y");
	$_REQUEST['iva_des']='1';
	$_REQUEST['tip_pro']='N';
}
?>
<form name="frm1" id="frm1" method="post" action="">

<table border="0" align="center">
  <tr>
    <th colspan="6">Alta de Menu </th>
  </tr>
  <tr>
    <td nowrap  class="priDat">Comedor:</td>
    <td colspan="5" nowrap  class="priSec">Cve:
      <label>
	  <input name="id_emp" type="hidden" id="id_emp" size="15" value="<? echo $_REQUEST['id_emp'];?>">
      <input name="cve_emp" type="text" id="cve_emp" size="15" value="<? echo $_REQUEST['cve_emp'];?>">
      Nom:
      <input name="nom_emp" type="text" id="nom_emp" size="50" value="<? echo $_REQUEST['nom_emp'];?>">
      </label></td>
    </tr>
  <tr>
    <td colspan="3" nowrap  class="priDat"><label></label>
      <label></label>      <label>Del 
      <input name="fec_ini" type="text" class="agrega" id="fec_ini" size="10" onChange="openpage('','_self')"
		  <?php
 
			  if(isset($_REQUEST['fec_ini'])){
			  	$fecIni=chfecha(lessDay(chfecha($_REQUEST['fec_ini'],'d/m/Y','Y-m-d'),whatDay(chfecha($_REQUEST['fec_ini'],'d/m/Y','Y-m-d'),'dn')-2),'Y-m-d','d/m/Y');
			  }else{
			  	$fecIni=chfecha(lessDay(chfecha(date('d/m/Y'),'d/m/Y','Y-m-d'),whatDay(chfecha(date('d/m/Y'),'d/m/Y','Y-m-d'),'dn')-2),'Y-m-d','d/m/Y');
			  }
			  echo 'value="'.$fecIni.'"'; 
			  ?>
		  >
      <input name="botini" id="botini" type="image" value="Cal" src="logos/cal4.jpg" />
      	  <script type="text/javascript">
      Calendar.setup(
	{
		inputField  : "fec_ini",       // ID del cuadro de texto
		ifFormat    : "%d/%m/%Y",   // formato de la fecha
		button      : "botini"      	// ID del boton
	}
);
      </script>

	  al
      <input name="fec_fin" type="text" class="agrega" id="fec_fin" size="10" onChange="openpage('','_self')"
		  <?php
 
			  	$fecFin=chfecha(addDay(chfecha($fecIni,'d/m/Y','Y-m-d'),6),'Y-m-d','d/m/Y');
			  	echo 'value="'.$fecFin.'"'; 
			?>
		  >
      <input name="botfin" id="botfin" type="image" value="Cal" src="logos/cal4.jpg" />
	  <script type="text/javascript">
      Calendar.setup(
	{
		inputField  : "fec_fin",       // ID del cuadro de texto
		ifFormat    : "%d/%m/%Y",   // formato de la fecha
		button      : "botfin"      	// ID del boton
	}
);
      </script>
	  
      </label></td>
    <td nowrap  class="priDat">Tipo Alimento: </td>
    <td colspan="2" nowrap  class="priDat"><select name="cve_uni" id="cve_uni" tabindex="6">
      <option></option>
      <?php
 
	  	(!isset($_REQUEST['cve_uni']))?($selTipAli='1'):($selTipAli=$_REQUEST['cve_uni']);
		 $result = mysqli_query($con ,"SELECT * FROM rctipali ORDER BY des_tipali");
		while($dato = mysqli_fetch_array ($result) ){ 
			if($selTipAli==$dato['id_tipali']){
				echo '<option value= "' . $dato['id_tipali'] . '" selected>' .$dato['cve_tipali'].' '.$dato['des_tipali'] .' </option>'; 
			}else{
				echo '<option value= "' . $dato['id_tipali'] . '">' .$dato['cve_tipali'].' '.$dato['des_tipali'] .' </option>'; 
			}
		}
		?>
    </select></td>
    </tr>
  <tr>
    <td nowrap class="priSec">Porcion:</td>
    <td colspan="5" nowrap class="priSec"><input name="porc_men" type="text" id="porc_men" size="10"></td>
    </tr>
  <tr>
    <td nowrap class="backFec">Fecha Alta:
<div align="center"></div></td>
    <td nowrap class="backFec"><input name="fec_alt" type="text" class="fieldFec" id="fec_alt" size="15"
		  <?php
 
			  if(isset($_POST['fec_alt'])){
			  	echo 'value="'.$_POST['fec_alt'].'"'; 
			  }else{
			  	echo 'value="'.date('d/m/Y').'"'; 
			  }
			  ?>
		  >
      <input name="bot" id="bot1" type="image" value="Cal" src="logos/cal4.jpg" /></td>
	  <script type="text/javascript">
      Calendar.setup(
	{
		inputField  : "fec_alt",       // ID del cuadro de texto
		ifFormat    : "%d/%m/%Y",   // formato de la fecha
		button      : "bot1"      	// ID del boton
	}
);
      </script>
    <td nowrap class="backFec">Fecha Baja:</td>
    <td nowrap class="backFec"><input name="fec_baj" type="text" class="fieldFec" id="fec_baj" size="15"
		   <?php
 
			  if(isset($_POST['fec_baj'])){
			  	echo 'value="'.$_POST['fec_baj'].'"'; 
			  }else{
			  	echo 'value="'.date('d/m/Y').'"'; 
			  }
			  ?>
		  >
      <input name="bot2" id="bot2" type="image" value="Cal" src="logos/cal4.jpg" /></td>
	   <script type="text/javascript">
      Calendar.setup(
	{
		inputField  : "fec_baj",       // ID del cuadro de texto
		ifFormat    : "%d/%m/%Y",   // formato de la fecha
		button      : "bot2"      	// ID del boton
	}
);
      </script>
    <td nowrap class="backFec">Fecha Cambio: </td>
    <td nowrap class="backFec"><input name="fec_cam" type="text" class="fieldFec" id="fec_cam" size="15"
		 <?php
 
			  if(isset($_POST['fec_cam'])){
			  	echo 'value="'.$_POST['fec_cam'].'"'; 
			  }else{
			  	echo 'value="'.date('d/m/Y').'"'; 
			  }
			  ?>>
      <input name="bot3" id="bot3" type="image" value="Cal" src="logos/cal4.jpg" />      <label></label></td>
	   <script type="text/javascript">
      Calendar.setup(
	{
		inputField  : "fec_cam",       // ID del cuadro de texto
		ifFormat    : "%d/%m/%Y",   // formato de la fecha
		button      : "bot3"      	// ID del boton
	}
);
      </script>
    </tr>
  <tr>
	<td colspan="6" nowrap>
	<div align="center">
		<input name="agregar" type="button" id="agregar" onClick="openpage('RC41100_AC.php','_self')" value="Agregar">
  		&nbsp;
		<input name="regresar" type="button" id="regresar" onClick="openpage('RC41100_PR.php','_self')" value="Regresar">
	</div>	</td>
  </tr>
</table>

</form>
</body>
</html>
